﻿using GarmentFactoryContracts.Attributes;
using GarmentFactoryDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GarmentFactoryContracts.ViewModels
{
    public class TextileViewModel : ITextileModel
    {
		[Column(visible: false)]
		public int Id { get; set; }

        [Column(title: "Название текстиля", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string TextileName { get; set; } = string.Empty;

        [Column(title: "Цена", width: 80)]
        public double Price { get; set; }

		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> TextileComponents { get; set; } = new();
    }
}
